ambari-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brian Jeltema <bdjelt...@gmail.com>
Subject Re: ambari-server won't start after upgrade
Date Sat, 19 Dec 2015 00:11:21 GMT
Our production cluster is down due to this issue. If Storm is the problem, I’m happy to remove
it, I just need guidance on how to do that.

> On Dec 18, 2015, at 2:56 PM, Brian Jeltema <bdjeltema@gmail.com> wrote:
> 
> I just upgraded to Ambari 2.0.2 (from 1.6), with a few minor problem, but got it working.
> 
> Then I updated my stack from HDP 2.1 to HDP 2.2. After that, the Ambari server fails
to start:
> 
> 18 Dec 2015 14:50:25,632  INFO [main] DatabaseChecker:152 - Checking DB store version
> 18 Dec 2015 14:50:25,634  INFO [main] DatabaseChecker:178 - DB store version is compatible
> 18 Dec 2015 14:50:25,634  INFO [main] DatabaseChecker:55 - Checking DB consistency
> 18 Dec 2015 14:50:25,672 ERROR [main] AmbariServer:667 - Failed to run the Ambari Server
> org.apache.ambari.server.StackAccessException: Stack data, stackName=HDP, stackVersion=2.2,
serviceName=STORM, componentName=STORM_REST_API
>         at org.apache.ambari.server.api.services.AmbariMetaInfo.getComponent(AmbariMetaInfo.java:268)
>         at org.apache.ambari.server.controller.utilities.DatabaseChecker.checkDBConsistency(DatabaseChecker.java:96)
>         at org.apache.ambari.server.controller.AmbariServer.run(AmbariServer.java:217)
>         at org.apache.ambari.server.controller.AmbariServer.main(AmbariServer.java:665)
> 
> I Googled and found references to this problem, but could not find a fix. Perhaps I overlooked
a step in the rather
> complex upgrade procedure. Any help would be appreciated.
> 
> Brian


Mime
View raw message